## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		perl-Rose-DB-Object
Version:	0.822
Release:	%autorelease
Summary:	Extensible, high performance object-relational mapper (ORM)
# Automatically converted from old format: GPL+ or Artistic - review is highly recommended.
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Rose-DB-Object
Source0:	https://cpan.metacpan.org/authors/id/J/JS/JSIRACUSA/Rose-DB-Object-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(base)
BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Clone)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(DBI)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Rose::DateTime::Util)
BuildRequires:	perl(Rose::DB)
BuildRequires:	perl(Rose::Object)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Memory::Cycle)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Time::Clock)
BuildRequires:	perl(warnings)

%global __requires_exclude ^perl\\(Rose::(DB|Object)::
%{?perl_default_filter}


%description
Rose::DB::Object is a base class for objects that encapsulate a single row
in a database table. Rose::DB::Object-derived objects are sometimes simply
called "Rose::DB::Object objects" in this documentation for the sake of
brevity, but be assured that derivation is the only reasonable way to use
this class.

%prep
%setup -q -n Rose-DB-Object-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
export AUTOMATED_TESTING=1
make test

%files
%doc Changes
%{perl_vendorlib}/Rose/DB/
%{_mandir}/man3/Rose::DB::Object*.3pm*

%changelog
## START: Generated by rpmautospec
* Tue Jan 07 2025 Bill Pemberton <wfp5p@worldbroken.com> - 0.822-1
- update to version 0.822

* Tue Jan 07 2025 Bill Pemberton <wfp5p@worldbroken.com> - 0.821-2
- Convert to use rpmautospec

* Sun Oct 20 2024 Bill Pemberton <wfp5p@worldbroken.com> - 0.821-1
- update to version 0.821

* Mon Aug 05 2024 Miroslav Suchý <msuchy@redhat.com> - 0.820-13
- convert GPL+ or Artistic license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Jitka Plesnikova <jplesnik@redhat.com> - 0.820-7
- Remove perl(MODULE_COMPAT), it will be replaced by generators

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.820-5
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.820-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Bill Pemberton <wfp5p@worldbroken.com> - 0.820-2
- Update to remove filter_from_requires

* Sat Jun 26 2021 Bill Pemberton <wfp5p@worldbroken.com> - 0.820-1
- Update to version 0.820

* Sat May 22 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.819-5
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.819-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.819-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.819-2
- Perl 5.32 rebuild

* Thu Jun 18 2020 Bill Pemberton <wfp5p@worldbroken.com> - 0.819-1
- Update to version 0.819

* Mon Jun 08 2020 Bill Pemberton <wfp5p@worldbroken.com> - 0.818-1
- Update to version 0.818

* Mon Apr 06 2020 Bill Pemberton <wfp5p@worldbroken.com> - 0.817-2
- Add a couple tests

* Mon Apr 06 2020 Bill Pemberton <wfp5p@worldbroken.com> - 0.817-1
- update to 0.817

* Tue Mar 17 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-20
- Specify all dependencies

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-17
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.815-15
- Remove obsolete Group tag

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-13
- Perl 5.28 rebuild

* Mon Jun 04 2018 Petr Písař <ppisar@redhat.com> - 0.815-12
- cpan.org addresses moved to MetaCPAN
  <https://fedoraproject.org/wiki/Changes/Perl_Move_to_MetaCPAN>

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.815-9
- Rebuild due to bug in RPM (RHBZ #1468476)

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-8
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 24 2016 Petr Písař <ppisar@redhat.com> - 0.815-6
- Mandatory Perl build-requires added
  <https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl>

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.815-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 0.815-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.815-2
- Perl 5.22 rebuild

* Tue Mar 24 2015 Bill Pemberton <wfp5p@worldbroken.com> - 0.815-1
- update to version 0.815

* Wed Mar 18 2015 Bill Pemberton <wfp5p@worldbroken.com> - 0.814-1
- update to version 0.814
- updates project URLs

* Wed Nov 12 2014 Bill Pemberton <wfp5p@worldbroken.com> - 0.813-1
- Update to version 0.813
- This version has several bug and documentation fixes.

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.811-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.811-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 26 2014 Bill Pemberton <wfp5p@worldbroken.com> - 0.811-1
- update to version 0.811
- fixes a bug that prevented many-to-many map records from being saved to
  the database

* Mon Jan 20 2014 Bill Pemberton <wfp5p@worldbroken.com> - 0.810-1
- update to version 0.810

* Thu Dec 05 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.809-1
- update to version 0.808

* Mon Nov 04 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.808-1
- Update to version 0.808

* Tue Sep 03 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.807-1
- Update to version 0.807

* Sat Aug 03 2013 Petr Písař <ppisar@redhat.com> - 0.806-2
- Perl 5.18 rebuild

* Mon Jun 10 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.806-1
- Update to version 0.806

* Mon Mar 11 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.805-1
- update to version 0.805

* Mon Feb 04 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.804-1
- Update to version 0.804

* Mon Jan 07 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.803-1
- Update to version 0.803

* Mon Nov 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.801-1
- Update to 0.801

* Mon Sep 10 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.800-1
- Update to 0.800

* Wed Sep 05 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.799-1
- update to 0.799

* Mon Aug 06 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.798-1
- Initial import (#839754).
## END: Generated by rpmautospec
